/**
 问卷调查 
 居家照护评估表
 简易智力状态MMSE、日常生活IADL、焦虑抑郁量HADS 盆底肌评估 
 */
import React from 'react';
import {
    Card, Table, Input, Form, Select, Row, Col, Checkbox, Tabs,
    DatePicker, Button, Popconfirm, Icon, Divider, message, Modal,
} from 'antd';
import { Util, dayFormat } from 'tools/index';
import { $http } from 'containers/config/https';
import MedicalExamination from './MedicalExamination';
import DiabeteRiskManagementPage from './DiabeteRiskManagementPage';
import QuestionnaireAtHomePage from '../QuestionnaireAtHomePage';
import store from 'store';
import moment from 'moment';
import '../style/Secondary.less';

const { RangePicker } = DatePicker;
const Option = Select.Option;
const Search = Input.Search;
const TabPane = Tabs.TabPane;

class QuestionnaireAtHome extends React.Component {
    constructor(props) {
        super(props)
        var userData = JSON.parse(sessionStorage.getItem('userData'))
        this.state = {
            dataSource: [],
            userData: userData,
            activeKey: '1'
        }
    }

    componentDidMount() {
        this.props.homeOnRefs(this)
    }
    ques = (ref) => {
        this.childQues = ref
    }
    initData = () => {
        this.childQues.updateList()
    }
    render() {
        return <div className='HealthExamination'>
            <QuestionnaireAtHomePage ques={this.ques} />
        </div>
    }

}

export default QuestionnaireAtHome;
